.chip {
  position: relative;
  padding: var(--margin-sm) var(--margin);
  min-height: 35px;

  display: inline-block;

  background: var(--chip-background);
  border-radius: 1000px; /* Pill shaped */
  outline: none;
  isolation: isolate;

  color: inherit; /* Prevent text color from changing when inside a link. */
  text-decoration: none;
  white-space: nowrap;

  transition: background var(--transition-duration);

  --chip-background : var(--color-background-l2);
}

/* For hover */
a.chip::before {
  content: "";
  position: absolute;
  inset: 0;

  border: var(--border-size) solid transparent; /* Make it less jarring when switch from light to dark. */
  border-radius: 1000px; /* Pill shaped */

  pointer-events: none;
}

/* Light mode : on hover, put elevated shadows. */
[data-theme="light"] .chip {
  box-shadow: var(--shadow);
}

[data-theme="light"] a.chip::before {
  box-shadow: var(--shadow-elevated);
  opacity: 0;

  transition: opacity var(--transition-duration);
}

[data-theme="light"] a.chip:is(:hover,:focus)::before {
  opacity: 1;
}

/* Dark mode : on hover, highlight borders. */
[data-theme="dark"] .chip {
  --chip-background : var(--color-background-l1);
}

[data-theme="dark"] a.chip:is(:hover,:focus) {
  --chip-background : var(--color-background-l2);
}

[data-theme="dark"] a.chip::before {
  border-color: var(--color-secondary);

  transition: border-color var(--transition-duration);
}

[data-theme="dark"] a.chip:is(:hover,:focus)::before{
  border-color: var(--color-secondary-h1);
}